<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/dp_116"
    android:layout_marginLeft="@dimen/dp_14"
    android:layout_marginTop="@dimen/dp_5"
    android:layout_marginRight="@dimen/dp_14"
    android:layout_marginBottom="@dimen/dp_5"
    android:background="@drawable/bg_white_14dp">

    <com.cooleshow.base.widgets.QMUIRadiusImageView
        android:id="@+id/im_pic"
        android:layout_width="@dimen/dp_170"
        android:layout_height="@dimen/dp_96"
        android:layout_marginLeft="@dimen/dp_10"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:qmui_corner_radius="@dimen/dp_8" />

    <TextView
        android:id="@+id/subject_name"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_13"
        android:layout_marginLeft="@dimen/dp_8"
        android:layout_marginTop="@dimen/dp_8"
        android:background="@drawable/gray_1_radius_bg"
        android:gravity="center"
        android:paddingLeft="@dimen/dp_4"
        android:paddingRight="@dimen/dp_4"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_9"
        app:layout_constraintLeft_toLeftOf="@+id/im_pic"
        app:layout_constraintTop_toTopOf="@+id/im_pic" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_8"
        android:layout_marginTop="@dimen/dp_4"
        android:layout_marginRight="@dimen/dp_8"
        android:ellipsize="end"
        android:lines="1"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_14"
        android:textStyle="bold"
        app:layout_constraintLeft_toRightOf="@+id/im_pic"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/im_pic"
        tools:text="竖笛基础入门练习" />

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/teacher_header"
        android:layout_width="@dimen/dp_18"
        android:layout_height="@dimen/dp_18"
        android:layout_marginTop="@dimen/dp_4"
        app:layout_constraintLeft_toLeftOf="@+id/tv_title"
        app:layout_constraintTop_toBottomOf="@+id/tv_title" />

    <TextView
        android:id="@+id/tv_teacher_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_4"
        android:textColor="@color/color_6a6a6a"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="@+id/teacher_header"
        app:layout_constraintLeft_toRightOf="@+id/teacher_header"
        app:layout_constraintTop_toTopOf="@+id/teacher_header"
        tools:text="老师：李云磊" />

    <TextView
        android:id="@+id/tv_money_unit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_8"
        android:text="￥"
        android:textColor="@color/color_fa6400"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBaseline_toBaselineOf="@+id/tv_price"
        app:layout_constraintBottom_toBottomOf="@+id/tv_price"
        app:layout_constraintLeft_toRightOf="@+id/im_pic" />

    <TextView
        app:layout_goneMarginStart="8dp"
        android:id="@+id/tv_price"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:textColor="@color/color_fa6400"
        android:textSize="@dimen/sp_16"
        app:layout_constraintBottom_toBottomOf="@+id/im_pic"
        app:layout_constraintLeft_toRightOf="@+id/tv_money_unit"
        tools:text="299" />

    <TextView
        android:id="@+id/tv_course_num"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_10"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        tools:text="12课时" />

</androidx.constraintlayout.widget.ConstraintLayout>